<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Page3.aspx.vb" Inherits="Page3" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/University.mdb"
            SelectCommand="SELECT [DeptID], [Name] FROM [tblDepartment]"></asp:AccessDataSource>
        <br />
        <asp:Label ID="Label1" runat="server" Text="Select a Department:"></asp:Label><br />
        &nbsp;</div>
        <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="AccessDataSource1"
            DataTextField="Name" DataValueField="DeptID" AutoPostBack="True">
        </asp:DropDownList>
        <br />
        <br />
        <asp:AccessDataSource ID="AccessDataSource2" runat="server" DataFile="~/University.mdb"
            SelectCommand="SELECT [StudentID], [Name], [Nationality], [Class], [Email], [Phone] FROM [tblStudent] WHERE ([DeptID] = ?)">
            <SelectParameters>
                <asp:ControlParameter ControlID="DropDownList1" Name="DeptID" PropertyName="SelectedValue"
                    Type="String" />
            </SelectParameters>
        </asp:AccessDataSource>
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False"
            DataKeyNames="StudentID" DataSourceID="AccessDataSource2" CellPadding="3" GridLines="Vertical" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px">
            <Columns>
                <asp:CommandField ShowSelectButton="True" />
                <asp:BoundField DataField="StudentID" HeaderText="StudentID" ReadOnly="True" SortExpression="StudentID" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:BoundField DataField="Nationality" HeaderText="Nationality" SortExpression="Nationality" />
                <asp:BoundField DataField="Class" HeaderText="Class" SortExpression="Class" />
                <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
                <asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" />
            </Columns>
            <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
            <RowStyle BackColor="#EEEEEE" ForeColor="Black" />
            <SelectedRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="#DCDCDC" />
        </asp:GridView>
        <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" DataKeyNames="StudentID"
            DataSourceID="AccessDataSource3" Height="50px" Width="125px" CellPadding="3" GridLines="Horizontal" BackColor="White" BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px">
            <Fields>
                <asp:ImageField DataImageUrlField="Picture" HeaderText="Picture">
                </asp:ImageField>
                <asp:BoundField DataField="StudentID" HeaderText="StudentID" ReadOnly="True" SortExpression="StudentID" />
                <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" />
                <asp:BoundField DataField="Nationality" HeaderText="Nationality" SortExpression="Nationality" />
                <asp:BoundField DataField="Type" HeaderText="Type" SortExpression="Type" />
                <asp:BoundField DataField="Class" HeaderText="Class" SortExpression="Class" />
                <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" />
                <asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" />
                <asp:BoundField DataField="Address" HeaderText="Address" SortExpression="Address" />
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowInsertButton="True" />
            </Fields>
            <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
            <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
            <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
            <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
            <AlternatingRowStyle BackColor="#F7F7F7" />
            <EditRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
        </asp:DetailsView>
        <asp:AccessDataSource ID="AccessDataSource3" runat="server" DataFile="~/University.mdb"
            DeleteCommand="DELETE FROM [tblStudent] WHERE [StudentID] = ?" InsertCommand="INSERT INTO [tblStudent] ([StudentID], [Name], [Picture], [Nationality], [Type], [Class], [Email], [Phone], [Address]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)"
            SelectCommand="SELECT [StudentID], [Name], [Picture], [Nationality], [Type], [Class], [Email], [Phone], [Address] FROM [tblStudent] WHERE ([StudentID] = ?)"
            UpdateCommand="UPDATE [tblStudent] SET [Name] = ?, [Picture] = ?, [Nationality] = ?, [Type] = ?, [Class] = ?, [Email] = ?, [Phone] = ?, [Address] = ? WHERE [StudentID] = ?">
            <DeleteParameters>
                <asp:Parameter Name="StudentID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="Name" Type="String" />
                <asp:Parameter Name="Picture" Type="String" />
                <asp:Parameter Name="Nationality" Type="String" />
                <asp:Parameter Name="Type" Type="String" />
                <asp:Parameter Name="Class" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
                <asp:Parameter Name="Address" Type="String" />
                <asp:Parameter Name="StudentID" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="GridView1" Name="StudentID" PropertyName="SelectedValue"
                    Type="Int32" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="StudentID" Type="Int32" />
                <asp:Parameter Name="Name" Type="String" />
                <asp:Parameter Name="Picture" Type="String" />
                <asp:Parameter Name="Nationality" Type="String" />
                <asp:Parameter Name="Type" Type="String" />
                <asp:Parameter Name="Class" Type="String" />
                <asp:Parameter Name="Email" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
                <asp:Parameter Name="Address" Type="String" />
            </InsertParameters>
        </asp:AccessDataSource>
    </form>
</body>
</html>
