Imports System.Data.OleDb
Imports System.Data

Partial Class Page6
    Inherits System.Web.UI.Page

    Dim connString As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\webdss\HandsOn\chapter19\WebDBConnectivity\University.mdb"
    Dim univDB As OleDbConnection

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Dim cmdDept As OleDbCommand
            Dim drdDept As OleDbDataReader
            univDB = New OleDbConnection(connString)
            cmdDept = New OleDbCommand("SELECT * FROM tblDepartment", univDB)
            Try
                univDB.Open()
                drdDept = cmdDept.ExecuteReader
                cmbDept.DataSource = drdDept
                cmbDept.DataTextField = "Name"
                cmbDept.DataValueField = "DeptID"
                cmbDept.DataBind()
                drdDept.Close()
            Catch ex As Exception
            Finally
                univDB.Close()
            End Try
        End If
    End Sub

    Protected Sub cmbDept_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmbDept.SelectedIndexChanged
        UpdateSource()
    End Sub

    Sub UpdateSource()
        Dim cmdCourse As OleDbCommand
        Dim odaCourse As OleDbDataAdapter
        Dim dsCourse As DataSet
        univDB = New OleDbConnection(connString)
        cmdCourse = New OleDbCommand("SELECT * FROM tblCourse WHERE DeptID=@DID", univDB)
        cmdCourse.Parameters.AddWithValue("@DID", cmbDept.SelectedValue)
        odaCourse = New OleDbDataAdapter(cmdCourse)
        dsCourse = New DataSet
        odaCourse.Fill(dsCourse)
        grvCourses.DataSource = dsCourse
        grvCourses.DataBind()
    End Sub

    Protected Sub grvCourses_RowEditing(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewEditEventArgs) Handles grvCourses.RowEditing
        grvCourses.EditIndex = e.NewEditIndex
        UpdateSource()
    End Sub

    Protected Sub grvCourses_RowUpdating(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewUpdateEventArgs) Handles grvCourses.RowUpdating
        'Variables to hold new values
        Dim did, name, des, cid As String
        Dim credits As Integer
        'Retrieve the new values
        cid = CType(grvCourses.SelectedRow.Cells(1).Controls(0), TextBox).Text
        did = CType(grvCourses.SelectedRow.Cells(2).Controls(0), TextBox).Text
        name = CType(grvCourses.SelectedRow.Cells(3).Controls(0), TextBox).Text
        des = CType(grvCourses.SelectedRow.Cells(4).Controls(0), TextBox).Text
        credits = CInt(CType(grvCourses.SelectedRow.Cells(5).Controls(0), TextBox).Text)
        'Define update SQL statement
        Dim update As String
        update = "UPDATE tblCourse SET "
        update &= "DeptID='" & did & "', "
        update &= "Name='" & name & "', "
        update &= "Description='" & des & "', "
        update &= "CreditHours=" & credits & " "
        update &= "WHERE CourseID='" & cid & "'"
        Response.Write("<br>" & update)
        'Work with ADO .NET for database update
        Dim cmdCourse As OleDbCommand
        univDB = New OleDbConnection(connString)
        cmdCourse = New OleDbCommand(update, univDB)
        Try
            univDB.Open()
            Dim rowUpdated As Integer
            rowUpdated = cmdCourse.ExecuteNonQuery()
        Catch ex As Exception
        Finally
            univDB.Close()
        End Try
        grvCourses.EditIndex = -1
        UpdateSource()
    End Sub

    Protected Sub grvCourses_RowCancelingEdit(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewCancelEditEventArgs) Handles grvCourses.RowCancelingEdit
        grvCourses.EditIndex = -1
        UpdateSource()
    End Sub


End Class
